<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Utilities;

class  SelectTipoConsCliente extends CrudWithParameterBag {
    
    protected $dataSourceName = 'select_tipo_cons_cli';
    protected $parameterBagColumns = array('NRORG','CDFILIAL','CDCLIENTE','TCDCLIENTE');
    protected $util;
    
    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag, Utilities\Util $util) {
        $this->util = $util;
        parent::__construct($dataSourceManager, $parameterBag);
    }
    
    public function find (DTO\Request\Filter $request, DTO\Response $response){
        $conditions = $this->util->getParamsAsArray($request);
        $cdCliente = $conditions['CDCLIENTE'];
		$conditions['CDCLIENTE'] = $cdCliente;
		$conditions = $this->util->buildParams('CDCLIENTE',$conditions);
        $newRequest = $this->util->createNewZeedhiFilterRequestObject($request, $this->dataSourceName, $conditions);
        
        parent::find($newRequest, $response);
        
    }
}