<?php

namespace Teknisa\MAN\Services\AppsIntegrations\CallJenkins;
    
use Teknisa\MAN\Services\AppsIntegrations\Factory\AppFactory;
use Teknisa\MAN\Utilities\GuzzleHelper;

class IntegracaoJenkinsJobs implements IIntegracaoJenkinsJobs {
    private $appRepo;
    
    public function startJenkinsJob($IDINTEGRACAO) {
        $this->appRepo = AppFactory::getAppService($IDINTEGRACAO);
        
        $integrationData = $this->appRepo->getStartIntegrationData();
        
        return GuzzleHelper::post(
            $integrationData->getURL(),
            $integrationData->getRoute(), 
            $integrationData->getParams()
        );        
    }
    
    public function stopJenkinsJob($IDINTEGRACAO) {
        $this->appRepo = AppFactory::getAppService($IDINTEGRACAO);

        $integrationData = $this->appRepo->getStopIntegrationData();
        
        return GuzzleHelper::post(
            $integrationData->getURL(), 
            $integrationData->getRoute(),
            $integrationData->getParams()
        );
    }
    
}